Orders
Get Order Receipt
Get a presigned URL to download an order’s receipt PDF.
GET
/
v1
/
customer-portal
/
orders
/
{id}
/
receipt
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.customer_portal.orders.receipt(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.customerPortal.orders.receipt(
"00000000-0000-4000-8000-000000000000",
);
console.log(response);curl --request GET \
--url https://api.polar.sh/v1/customer-portal/orders/{id}/receipt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/customer-portal/orders/{id}/receipt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/customer-portal/orders/{id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Path Parameters
The order ID.
Response
Successful Response
Order's receipt data.
The URL to the receipt PDF.
Was this page helpful?
Previous
Validate License KeyValidate a license key.
> This endpoint doesn't require authentication and can be safely used on a public
> client, like a desktop application or a mobile app.
> If you plan to validate a license key on a server, use the `/v1/license-keys/validate`
> endpoint instead.
Next
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.customer_portal.orders.receipt(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.customerPortal.orders.receipt(
"00000000-0000-4000-8000-000000000000",
);
console.log(response);
